#Include Once "windows.bi"
#Include "OurDream2D.bi"



Function FrameFunc() As Integer
	FrameFunc = -1
End Function



Function RenderFunc() As Integer
	Render_Clear(0)
	RenderFunc = -1
End Function



If System_CreateOD2D(1,0,-1,-1,-1,0,-1,-1,-1,800,600,32,-1,0,40,NULL,"OurDream2D Test",ExePath & "\Test1.log",-1) Then
	System_SetFrameFunction(@FrameFunc)
	System_SetRenderFunction(@RenderFunc)
	System_OD2DRun()
	System_OD2DStop()
Else
	Print "OurDream引擎初始化失败！"
EndIf